Get Vehicle Alerts
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"alertDefinitionId": "<string>",
"vehicleId": "<string>",
"muted": true,
"createdAt": "2023-11-07T05:31:56Z",
"resolutions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"description": "<string>"
},
"steps": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"description": "<string>",
"order": 123
}
}
]
}
],
"definition": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"message": "<string>",
"category": {
"id": "<string>",
"name": "<string>",
"description": "<string>"
}
},
"metadata": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"vin": "<string>",
"triggerName": "<string>",
"triggerDescription": "<string>"
}
],
"nextPageToken": "<string>",
"totalResults": 123
}Vehicle Alerts
Get Vehicle Alerts
Retrieve alerts for a vehicle based on its unique ID.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- PAGE_SIZE_TOO_LARGE
- PAGINATED_QUERY_FILTER_CHANGED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
alerts
Get Vehicle Alerts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Query Parameters
Max size of the returned list.
Page token used for pagination.
Listing filter schema.
⌘I

